Commit 70123c36 by Peter Pentchev

Debhelper 10, parallel by default.

parent df3a7a13
Pipeline #1950555 skipped
......@@ -13,12 +13,13 @@ libdebug (0.5.1-1) UNRELEASED; urgency=medium
- add the upstream (my own) PGP key to verify against
- also look for *.tar.xz files
* Use dpkg-dev's default source compression method.
* Bump the debhelper compatibility level to 9 and use the build flags
that it sets in the environment, dropping the build dependencies on
dpkg-dev and hardening-includes.
* Bump the debhelper compatibility level to 10:
- use the build flags that it sets in the environment, dropping
the build dependencies on dpkg-dev and hardening-includes
- take advantage of its parallel build by default
- override the Lintian debhelper version warning as it itself suggests
* Drop misc:Pre-Depends from the libdebug0 binary package.
* Drop shlibs:Depends from the libdebug0-dev binary package.
* Add --parallel to the dh invocation.
* Add an upstream metadata file.
* Enable Large File Support.
* Bump the year on my debian/* copyright notice.
......
......@@ -2,7 +2,7 @@ Source: libdebug
Section: devel
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 9)
Build-Depends: debhelper (>> 9.20160403~)
Standards-Version: 3.9.8
Homepage: http://devel.ringlet.net/devel/libdebug/
Vcs-Git: https://gitlab.com/libdebug/libdebug.git -b debian
......
......@@ -31,4 +31,4 @@ override_dh_auto_install:
libdir=/usr/lib/$(DEB_HOST_MULTIARCH) install
%:
dh $@ --parallel
dh $@
package-needs-versioned-debhelper-build-depends 10
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment